Page MenuHomePhabricator

Tool to generate bingo grids to be used for Wikimedia events keynotes and presentations
Closed, ResolvedPublic

Description

Furthering audience implication and attention during keynotes and presentations has always been a key point of Wikimedia events and as a tech community we must strive to find new ways to facilitate this as we move forward as a movement.

Bingo grids have proven to be a tremendously powerful engagement tool on that matter, preventing audience sleep and involving them in a playful and yet subtle way.

Yet, generating such bingo grids have proven to be challenging (cf. previous work includes the grid of Wikimania 2013). A tool to help generate such grids would be invaluable.

Event Timeline

JeanFred created this task.Jul 15 2015, 7:42 PM
JeanFred claimed this task.
JeanFred raised the priority of this task from to Needs Triage.
JeanFred updated the task description. (Show Details)
JeanFred added subscribers: JeanFred, Multichill, PierreSelim and 7 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 7:42 PM

It would be awesome to be able to showcase this for T102034.

It would be awesome to be able to showcase this for T102034.

Please add it to https://etherpad.wikimedia.org/p/T102034

KTC added a subscriber: KTC.Jul 15 2015, 8:08 PM
Braveheart added a subscriber: Braveheart.

We need bullsh*t words and idioms! Please share on this etherpad: https://etherpad.wikimedia.org/p/Bingo2015

JeanFred set Security to None.Jul 15 2015, 10:36 PM
JeanFred added a subscriber: Effeietsanders.

Feature suggestion: allow multiple lists of words, where a random selection from each list with fixed percentage is used in BINGO. That way you can make sure everyone has a few easy words, and a few really hard ones.

@Ash_Crow pointed me out to this tool he built : http://ashtree.eu/bingo/

We have a working prototype, exporting as LaTeX :)

What is the status of this task, now that Wikimania 2015 is over? As this task is in the "Backlog" column of the #Wikimania-Hackathon-2015 project's workboard: Did this task take place and was successfully finished? If yes: Please provide an update (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

According to some reports, there were duplicate entries on a few of the bingo cards. Maybe introduce a check for duplicates when adding a new word to the string?

According to some reports, there were duplicate entries on a few of the bingo cards. Maybe introduce a check for duplicates when adding a new word to the string?

Right, I heard such reports too. Tracked on https://github.com/Commonists/bingo/issues/3, will submit a patch shortly.

Qgil added a subscriber: Qgil.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

BINGO!
(now the task can be closed)

Krinkle removed a subscriber: Krinkle.Sep 17 2015, 5:22 AM
Qgil closed this task as Resolved.Oct 29 2015, 2:35 PM

Resolving indeed, as it seems it was a hackathon experiment and it is associated only with the hackathon project.